Bug 1517302 - openstack-nova-migration is potentially missing after a minor update
Summary: openstack-nova-migration is potentially missing after a minor update
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z8
: 10.0 (Newton)
Assignee: Ollie Walsh
QA Contact: Gabriel Szasz
URL:
Whiteboard:
Keywords: TestOnly, Triaged, ZStream
Depends On: 1466882
Blocks: 1457132 1490951 1490954
TreeView+ depends on / blocked
 
Reported: 2017-11-24 14:57 UTC by Ollie Walsh
Modified: 2018-05-17 15:42 UTC (History)
10 users (show)

(edit)
Clone Of: 1466882
(edit)
Last Closed: 2018-05-17 15:40:53 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1593 None None None 2018-05-17 15:42 UTC
OpenStack gerrit 476534 None None None 2017-11-24 14:59 UTC

Description Ollie Walsh 2017-11-24 14:57:25 UTC
+++ This bug was initially created as a clone of Bug #1466882 +++

Description of problem:
If the initial attempt to update fails it could have updated packages but not run the puppet manifest that installs openstack-nova-migration. Subsequent
attempts to update will not install the openstack-nova-migration package as we disable pkg installs if no updates are available.

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-2.0.0-57.el7ost.noarch

How reproducible:
Could not reproduce. Discovered this during code review.


Additional info:
Forked from https://bugzilla.redhat.com/show_bug.cgi?id=1463680

--- Additional comment from Ollie Walsh on 2017-09-12 21:35:09 IST ---



--- Additional comment from Ollie Walsh on 2017-11-23 18:54:20 GMT ---

Comment 2 Ollie Walsh 2017-11-24 15:01:24 UTC
*** Bug 1514840 has been marked as a duplicate of this bug. ***

Comment 9 Lon Hohberger 2018-03-07 13:53:02 UTC
According to our records, this should be resolved by openstack-tripleo-heat-templates-5.3.8-1.el7ost.  This build is available now.

Comment 14 errata-xmlrpc 2018-05-17 15:40:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1593


Note You need to log in before you can comment on or make changes to this bug.